/*
    Copyright (C) 1997, 2009 Vansteenhuyse Hubert <hvansteenhuyse@yahoo.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
*/

#include "../lt_parser.h"
#include <stdio.h>

int OnBegin(LX_PARSER *lx){
	return 0;
}

int OnFinnish(LX_PARSER *lx){
	return 0;
}
int OnTag(LX_PARSER *lx, unsigned char *tagname, unsigned char *content){
	printf("<%s>\n", tagname);
	printf("\t%s\n", content);
	return 0;
}
int OnTagEnd(LX_PARSER *lx, unsigned char *tagname){
	return 0;
}
int OnAttribute(LX_PARSER *lx, unsigned char *tagname, unsigned char *attname, unsigned char *attvalue){
	return 0;
}
void OnError(LX_PARSER *lx, size_t line, char *error){
	printf("Error at %ld: %s\n", line, error);
}
int main(void){
	LX_PARSER *lx = lt_new();
		printf("Lepton XML ansi c demo\n");
		lx->OnAttribute = OnAttribute;
		lx->OnBegin = OnBegin;
		lx->OnError = OnError;
		lx->OnFinnish = OnFinnish;
		lx->OnTag = OnTag;
		lx->OnTagEnd = OnTagEnd;

		if(lt_loadfile(lx, "c:\\test.xml")){
			lt_parse(lx);
		}
	lx = lt_delete(lx);
	return 0;
}







