/*
    Copyright (C) 1997, 2009 Vansteenhuyse Hubert <hvansteenhuyse@yahoo.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
*/

#include "../lt_wrapper.hpp"
#include <stdio.h>

class MyParser : protected LTPARSER{
private:
	char *path;
public:
	~MyParser(){
	}
	int doParse(char *path){
		int r;
		this->path = path;
		r = this->loadfile(path);
		if(r)this->parse();
		return r;
	}
	int OnBegin(LTPARSER *lxp){
		printf("START %s...\n", this->path);
		return 0;
	}
	int OnFinnish(LTPARSER *lxp){
		printf("DONE %s...\n", this->path);
		return 0;
	}
	int OnTag(LTPARSER *lxp, unsigned char *tagname, unsigned char *content){
		printf("\t<%s>:\n", tagname);
		printf("\t\t%s\n", content);
		return 0;
	}
	int OnTagEnd(LTPARSER *lxp, unsigned char *tagname){
		return 0;
	}
	int OnAttribute(LTPARSER *lx, unsigned char *tagname, unsigned char *attname, unsigned char *attvalue){
		return 0;
	}
	void OnError(LTPARSER *lxp, size_t line, char *error){
	}
};

int main(void){
	MyParser mp;
		printf("Lepton XML C++ demo\n");
		mp.doParse("./test.xml");
	return 0;
}
