/*
    Copyright (C) 1997, 2009 Vansteenhuyse Hubert <hvansteenhuyse@yahoo.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
*/

#include "../lt_wrapper.hpp"
#include <iostream.h>

class MyParser : protected LTPARSER{
private:
	char *mPath;
public:
	MyParser(){ this->mPath = ""; }
	~MyParser(){ }
	void doParse(char *path){
		this->mPath = path;
		if( this->loadfile(this->mPath) ) this->parse();
	}
	int OnBegin(LTPARSER *lxp){
		cout << "START " << this->mPath << cout << std::endl;
		return 0;
	}
	int OnFinnish(LTPARSER *lxp){
		cout << "DONE " << this->mPath << std::endl;
		return 0;
	}
	int OnTag(LTPARSER *lxp, unsigned char *tagname, unsigned char *content){
		cout << "\t" << tagname << std::endl;
		cout << "\t\t" << content << std::endl;
		return 0;
	}
	int OnTagEnd(LTPARSER *lxp, unsigned char *tagname){
		return 0;
	}
	int OnAttribute(LTPARSER *lx, unsigned char *tagname, unsigned char *attname, unsigned char *attvalue){
		cout << "\t\t\t" << attname << " = " << attvalue << std::endl;
		return 0;
	}
	void OnError(LTPARSER *lxp, size_t line, char *error){
		cerr << error << std::endl;
	}
};

int main(void){
	MyParser mp;
		cout << "Lepton XML C++ demo" << std::endl;
		mp.doParse("./test.xml");
	return 0;
}

